Bug 1658 - pango-hangul-xft.so causes segmentation fault
: pango-hangul-xft.so causes segmentation fault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libpango)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-03 21:11 by
Modified: 2005-09-19 12:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-03 21:11:53
run:
# /usr/lib/pango/1.1.0/modules/pango-hangul-xft.so
Segmentation fault

Problem: this .so is dinamically loaded by other programs, and other programs crash. For example, mrproject.
---

---
Master 2.0, with Sisyphus of 2 December

# chmod ugo-rx /usr/lib/pango/1.1.0/modules/pango-hangul-xft.so

helps
------- Comment #1 From 2002-12-23 16:21:47 -------
Стоп. В документации на libpango такой запуск библиотеки является допустимым.
Лишь немногие библиотеки могут делать это.
------- Comment #2 From 2002-12-23 16:21:47 -------
Стоп. В документации на libpango такой запуск библиотеки является допустимым.
Лишь немногие библиотеки могут делать это.
------- Comment #3 From 2005-09-19 10:03:17 -------
У нынешнего pango-hangul-fc.so права на исполнение сняты, помечаю как FIXED.